.footer {
    padding-top: 60px;
    padding-bottom: 65px;
    color: $white;
    background: $dark;
    font-family: $font-family-primary;
    border-top: 1px solid rgba(255,255,255,0.1);

    &__wrap {
        position: relative;
    }

    &__left {
        display: none;
    }

    &__center {
        display: flex;
        justify-content: space-between;
    }

    &__right {
        padding-top: 60px;
    }

    &__social {
        margin: 0;
        padding: 0;
        list-style: none;

        li {
            display: flex;

            &:not(:last-child) {
                margin-bottom: 15px;
            }
        }
    }

    &__nav {
        margin: 0;
        padding: 0;
        list-style: none;
        font-weight: 500;
        font-size: size-rel(13px);
        line-height: size-rel(13px);
        text-transform: uppercase;

        li {

            &:not(:last-child) {
                margin-bottom: 28px;
            }

            a {
                color: $white;
                text-decoration: none;

                &:hover {
                    color: $pink;
                    text-decoration: none;
                }
            }
        }
    }

    &__auth {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: flex-end;

        li {
            margin-left: 20px;

            &:last-child {
                display: none;
            }
        }
    }

    &__copy {
        left: 0;
        bottom: 0;
        position: absolute;
        font-weight: 300;
        display: inline-block;
        font-size: size-rel(14px);
        line-height: size-rel(20px);
        font-family: $font-family-third;
    }

    @include media-breakpoint-up(md) {
        padding-top: 68px;
        padding-bottom: 64px;

        &__wrap {
            display: flex;
            justify-content: space-between;
        }

        &__center {
            width: 390px;
            flex-shrink: 0;
        }

        &__right {
            padding-top: 0;
        }

        &__auth {
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-start;

            li {
                margin-bottom: 15px;

                &:last-child {
                    display: block;
                }
            }
        }

        &__copy {
            right: 0;
            left: auto;
            width: 172px;
        }
    }

    @include media-breakpoint-up(lg) {

        &__left {
            display: block;
        }

        &__logo {
            display: block;
            width: 189px;
        }

        &__copy {
            right: auto;
            left: 0;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: 100px;
        padding-bottom: 96px;

        &__center {
            width: 460px;
        }
    }

    @include media-breakpoint-up(xxl) {
        height: 407px;

        &__center {
            margin-left: 160px;
        }

        &__nav {
            padding-top: 15px;

            li {

                &:not(:last-child) {
                    margin-bottom: 31px;
                }
            }
        }

        &__auth {
            flex-direction: row;
            align-items: center;

            li {
                margin-bottom: 0;

                &:last-child {

                    .btn {
                        padding-left: size-rel(34px);
                        padding-right: size-rel(34px);
                    }
                }
            }
        }

        &__copy {
            bottom: -4px;
            width: auto;
            white-space: nowrap;
            font-size: size-rel(16px);
            line-height: size-rel(24px);
        }
    }
}

.social {
    fill: $white;
    color: $white;
    background: $dark;
    position: relative;
    border-radius: 20px;
    padding: 8px 15px 8px 42px;
    font-size: size-rel(14px);
    line-height: size-rel(16px);
    font-family: $font-family-secondary;
    display: inline-block;
    text-decoration: none;
    border: 1px solid $white;
    text-transform: uppercase;
    transition: .3s;

    &:hover {
        fill: $dark;
        background: $white;
        transition: .3s;
    }

    i {
        left: 11px;
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: inline-block;
    }

    &--discord {

        i {
            top: calc(50% - 7px);
            height: 15px;
        }
    }

    &--twitter {

        i {
            top: calc(50% - 8px);
            height: 16px;
        }
    }

    &--instagram {

        i {
            top: calc(50% - 10px);
            height: 20px;
        }
    }

    &--telegram {

        i {
            top: calc(50% - 7px);
            height: 15px;
        }
    }
}
